Subject: Re: [b20] expect and timeout
From: [email-masked] (Laurent Charles)

21 Nov 1998 07:27:33 -0800
Message-ID: <[email-masked]>
References: <01BE138D.29FBB1F0@sos>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I'm back again with my expect problem
> --- <[email-masked]> wrote:
> > I face some problems with 'expect' (b20) with the timeout.
> >
> > The following commands:
> >  set timeout 1
> >  expect -re "!!!" {send_user "rrr\n"} timeout {send_user "bbb\n"}
> > never raises the timeout.
> > If I try exactly the same commands on my solaris box, it replies
> > "bbb" after about one second.

I tried everything that have been suggested... No success !

First of all, I tried to reinstall the original full.exe (2nd version),
it fails as well (I initialized the TCL_LIBRARY).
It also failed on every machine I tested.

Does the small example above work for one of you?
If so, maybe you could send me the result of your 'cygcheck -s -v'...

[email-masked] wrote:
> >   705k 1998/11/04 \bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygwin1.dll" v0.0 ts=1998/11/5 0:32
> >   653k 1998/07/15 \bin\cygwinb19.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygwinb19.dll" v0.0 ts=1998/7/15 19:50
> I'm wonder if your installation works... It shouldn't :-)
[email-masked] wrote:
> I see that you have a copy of the cygwinb19.dll from b19 version.  You
> will most assuredly have problems if both of these try to load from
> the same executable.
> Go get Sergey's coolview update to cygwin1.dll.
Following the advices, I updated to the latest coolview. All the
cygwinb19.dll are also replaced by a copy of cygwinb1.dll (coolview).
I only have the cygwinb1.dll in my /bin. No more in /usr/local/bin

[email-masked] wrote:
> You've got the same OS I do.  The only expect
> hangs I've seen are fixed by (don't laugh) redirecting
> stdin from /dev/null, like this:
>         expect ... < /dev/null
Don't understand exactly what you mean. If I write a small script and
run 'expect myscript < /dev/null', expect returns immediately without
doing anything...

[email-masked] wrote:
> You may need to set CYGWIN to tty mode in order to get the timer to
> work; I haven't tried so this is only a suggested possibility.
I tried, no change.
I also tried with binmode instead of textmode

> Suggestion: Get rid of the \usr\local\bin\bash.exe and sh.exe
I did it. Should not change anything however here.

Any other idea?
Thank you again

--Laurent

for those who may like to have a look at my configuration:
--- uname -a ---
CYGWIN_NT-4.0 PCOD924 20.0 (0.1/1/1) -11-8 11:59:08 i686 unknown

--- cygcheck -s -v ---
Cygnus Win95/NT Configuration Diagnostics
Current System Time: Fri Nov 20 18:20:13 1998

WinNT Ver 4.0 build 1381 Service Pack 3

Path:	.
	/lod172/charles/bin
	/usr/local/bin
	/usr/x11r6.4/bin
	/bin
	/WINDOWS/system32
	/WINDOWS

SysDir: D:\WINDOWS\System32
WinDir: D:\WINDOWS

CYGWIN = `notty title textmode mixed'
GCC_EXEC_PREFIX = `/usr/local/lib/gcc-lib/'
HOME = `/'
MAKE_MODE = `unix'
PWD = `/WINDOWS'
TCL_LIBRARY = `/usr/local/share/tcl8.0'
USER = `charles'

BASH_TITLE = `{bash} - \d - \w'
COMPUTERNAME = `PCOD924'
COMSPEC = `D:\WINDOWS\system32\cmd.exe'
DISPLAY = `localhost:0.0'
GDBTK_LIBRARY = `/usr/local/share/gdbtcl'
HOMEDRIVE = `D:'
HOMEPATH = `\users\default'
HOSTNAME = `PCOD924'
HOSTTYPE = `i586'
INCLUDE = `d:\program files\devstudio\vc\include;d:\program
files\devstudio\vc\atl\include;d:\program
files\devstudio\vc\mfc\include;%include%'
LIB = `d:\program files\devstudio\vc\lib;d:\program
files\devstudio\vc\mfc\lib;%lib%'
MACHTYPE = `i586-pc-cygwin32'
MSDEVDIR = `D:\Program Files\DevStudio\SharedIDE'
NATIVE_GCC_EXEC_PREFIX = `/usr/local/lib/gcc-lib/'
NUMBER_OF_PROCESSORS = `1'
NWLANGUAGE = `ENGLISH'
NWUSERNAME = `charles'
OS2LIBPATH = `D:\WINDOWS\system32\os2\dll;'
OS = `Windows_NT'
OSTYPE = `cygwin32'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 3 Stepping 4, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0304'
SHELL = `/bin/bash'
SHLVL = `1'
SYSTEMDRIVE = `D:'
SYSTEMROOT = `D:\WINDOWS'
TEMP = `D:\TEMP'
TERM = `ansi'
TMP = `D:\TEMP'
USERDOMAIN = `PCOD924'
USERNAME = `charles'
USERPROFILE = `D:\WINDOWS\Profiles\charles'
WINDIR = `D:\WINDOWS'
_ = `/usr/local/bin/cygcheck'
_LOCAL_DIR = `/usr/local'
_USR_DIR = `/usr'

Use `-r' to scan registry

a:\ fd           N/A    N/A                    
c:\ hd  FAT      133Mb   6% CP    UN           FAT
d:\ hd  NTFS    2945Mb  69% CP CS UN PA FC     NTFS
e:\ fd  FAT       95Mb  34% CP    UN           BACKUP
f:\ net NWFS     300Mb  55% CP                 SYS
g:\ net NWFS    1680Mb  86% CP                 SOFTS
h:\ net Samba   4063Mb  95% CP    UN           st9plus_lc1
i:\ net NWFS    8184Mb  66% CP                 MBT
j:\ net NWFS    8184Mb  66% CP                 MBT
k:\ net NWFS    3000Mb  40% CP                 SOFTS
n:\ net Samba   4063Mb  91% CP    UN           apa
o:\ net Samba   2779Mb  30% CP    UN           samba-apa
p:\ net NFS     7692Mb  95% CP                 /applis1
r:\ cd           N/A    N/A                    
s:\ net Samba   4063Mb  25% CP    UN           charles
v:\ net NWFS    1680Mb  86% CP                 SOFTS
w:\ net NFS     7692Mb  97% CP                
/view/charles.st6.pc/vob/st6
x:\ net NWFS    1680Mb  86% CP                 SOFTS
y:\ net NWFS     300Mb  55% CP                 SYS
z:\ net NWFS     300Mb  55% CP                 SYS

D:          /                native  text!=binary
N:          /apa             native  text!=binary
\\.\a:      /dev/fd0         native  text!=binary
\\.\b:      /dev/fd1         native  text!=binary
\\.\tape0:  /dev/st0         native  text!=binary
\\.\tape1:  /dev/st1         native  text!=binary
S:          /home/charles    native  text!=binary
S:          /lod172/charles  native  text!=binary
O:          /samba-apa       native  text!=binary
W:          /vob/st6         native  text!=binary
H:          /vob/st9plus     native  text=binary
E:          /zip             native  text!=binary

Found: D:\bin\bash.exe
Found: \bin\bash.exe
Warning: D:\bin\bash.exe hides \bin\bash.exe
Found: D:\usr\local\bin\cat.exe
Not Found: cpp
Found: D:\usr\local\bin\find.exe
Found: D:\usr\local\bin\gcc.exe
Found: D:\usr\local\bin\gdb.exe
Found: D:\usr\local\bin\ld.exe
Found: D:\usr\local\bin\ls.exe
Found: D:\usr\local\bin\make.exe
Found: D:\bin\sh.exe
Found: \bin\sh.exe
Warning: D:\bin\sh.exe hides \bin\sh.exe

  463k 1998/11/17 D:\usr\local\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=1998/11/17 10:05
   19k 1998/11/17 D:\usr\local\bin\cygtclpip80.dll - os=4.0 img=1.0
sys=4.0
   24k 1998/11/17 D:\usr\local\bin\cygtclreg80.dll - os=4.0 img=1.0
sys=4.0
                  "cygtclreg80.dll" v0.0 ts=1998/11/17 10:06
  760k 1998/11/17 D:\usr\local\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=1998/11/17 10:10
  707k 1998/11/08 D:\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=1998/11/8 17:59
  707k 1998/11/08 D:\bin\cygwinb19.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=1998/11/8 17:59
  707k 1998/11/08 \bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=1998/11/8 17:59
  707k 1998/11/08 \bin\cygwinb19.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=1998/11/8 17:59
Use -h to see help about each section
--- end of cygcheck -s -v ---
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".